Join the community today
Become a Member

Beta Branch revise newer libicu version updates in 123.09beta01

Discussion in 'Centmin Mod Github Commits' started by eva2000, Feb 28, 2019.

  1. eva2000

    eva2000 Administrator Staff Member

    40,625
    9,017
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +13,884
    Local Time:
    1:11 AM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    revise newer libicu version updates in 123.09beta01

    - related to update at https://community.centminmod.com/th...-library-version-for-centos-7-in-123-….16663/ where for centos 7 systems libicu62 for ICU version 62 was updated to from remi yum repo instead of using system libicu ICU version 50
    - this seem to work on most PHP version tests but on some systems ran into PHP compile issues with the newer libicu62 ICU version 62. The problem seem to come up with PHP 5.4, 5.5, 5.6 and 7.0 branches and seems fine with PHP 7.1, 7.2, and 7.3
    - this update revises the upgrade routine so libicu62 ICU version 62 is only used with PHP 7.1, 7.2 and 7.3 and 7.4 builds while older PHP versions 5.2-5.6 will go back to system libicu ICU version 50 in centos 7. Centos 6 users got an ICU version 4.2 to 50 update so that version 50 should work with PHP 5.4-5.6 and 7.0.

    Continue reading...

    123.09beta01 branch